#!/bin/sh
### BEGIN INIT INFO
# Provides:          NZBGet-daemon
# Required-Start:    $local_fs $remote_fs $network
# Required-Stop:     $local_fs $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start or stop the NZBGet-daemon.
### END INIT INFO

#todo
#Dump upgrade, and failure logging info to system log somehow

PKG_NAME="Twonky"
PKG_DIR="$APKG_PKG_DIR"
CONFIG_DIR="$PKG_DIR/config"
TS_PID="/var/run/twonkyserver.pid"
DAEMON="$PKG_DIR/twonky/twonkystarter"
DAEMON_OPTS=" -appdata $CONFIG_DIR/TwonkyServer -mspid ${TS_PID}"

CreateLinks() { #links some libraries

                #Create symbolic links for required binary utils and library files

                /bin/echo -n " Creating Symbolic links for required utils"

                /bin/echo -n "..."

                [ -d $CONFIG_DIR/TwonkyServer/lynxtechnology ] || mkdir -p $CONFIG_DIR/TwonkyServer/lynxtechnology

                ln -sf $CONFIG_DIR/TwonkyServer/lynxtechnology /var/lynxtechnology

                /bin/echo " Done"

}

case "$1" in
  start)
	{
		/bin/echo "Starting $PKG_NAME..."
		CreateLinks
		/bin/echo "Starting $PKG_NAME daemon... "
		/sbin/start-stop-daemon -S -n $PKG_NAME -x ${DAEMON} --${DAEMON_OPTS}
		RETVAL=$?
	}
  ;;

  stop)
	{
		/bin/echo "Shutting down $PKG_NAME... "
		/bin/sleep 1
		/bin/pidof twonkystarter 1>>/dev/null 2>>/dev/null
		if [ $? = 0 ]; then
			/usr/bin/killall twonkystarter
			RETVAL=$?
		fi
		/bin/sleep 5
		/bin/sleep 1
		RETVAL=$?
		/bin/sleep 3
	}
  ;;

  restart)
		$0 stop
		/bin/sleep 10
		$0 start
		RETVAL=$?
  ;;
  *)
		/bin/echo "Usage: $0 {start|stop|restart}"
esac

exit 0
